Bug 1130113 - EAP documentation in the EWS documentation build
Summary: EAP documentation in the EWS documentation build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-HTTP-Connectors-Guide
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: CR02
: 2.1.0
Assignee: Mandar Joshi
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 11:15 UTC by Michal Karm Babacek
Modified: 2015-09-01 02:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 10995, HTTP Connectors Load Balancing Guide-2.1-3 Build Date: 14-08-2014 18:36:15 Topic ID: 11040-591956 [Latest]
Last Closed: 2014-08-21 08:43:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Karm Babacek 2014-08-14 11:15:13 UTC
Title: Configure a JBoss Enterprise Application Server 6 Worker Node

Describe the issue:


The chapter is copy-pasted from the EAP documentation, mentioning procedures, settings and paths completely unrelated to EWS, e.g. Management CLI and configuration.

This is so confusing for any customer reading the docs that I suggest setting doc blocker flag here,

Comment 1 Misha H. Ali 2014-08-15 05:26:23 UTC
Hi Michal,

Since we are approaching the GA, it maybe worth excluding this chapter and then reviewing it to rework it for the subsequent release.

I propose we exclude the following:

7. Install Node with Basic Configuration
7.1. Worker Node Requirements
7.2. Install and Configure a Worker Node
7.2.1. Configure a JBoss Enterprise Application Server 6 Worker Node
7.2.2. Configure a Tomcat Worker Node

What do you think?

Comment 2 Michal Karm Babacek 2014-08-15 07:04:41 UTC
I think cutting out Procedure 7.1. is a good idea. I can't imagine why it's there in the first place.

The leading paragraph of the Chapter 7 should be rewritten to briefly talk about a set of Tomcat worker nodes, i.e. highlight that we support having multiple Tomcat worker nodes behind a load balancer (load balancing functionality), but we don't support clustering them together (high availability functionality). If one needs clustering and high availability,  

Procedure 7.2 definitely must stay there, just remove the first thing about Deploy Worker Node Service, which includes copying something from EAP (?) distribution and has no connection to EWS (IMHO it comes from EAP 5, where you actually needed to copy some libs manually).

Let me know your thoughts, please.

Cheers
k.

Comment 3 Michal Karm Babacek 2014-08-15 07:10:51 UTC
I'm sorry, I didn't finish my sentence:

If one needs clustering and high availability, one should turn to EAP.

Comment 4 Misha H. Ali 2014-08-18 02:11:59 UTC
I see. Thank you for clarifying, Michal. We will work on this on a priority basis today (and check in with you ASAP) to try and get it into the GA.

Comment 6 Michal Karm Babacek 2014-08-18 11:46:15 UTC
I'll verify it...

Comment 9 Michal Karm Babacek 2014-08-19 11:31:49 UTC
It's removed, THX.

Comment 10 Misha H. Ali 2014-08-21 08:43:07 UTC
Now available on the customer portal:

https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Web_Server/2.1/


Note You need to log in before you can comment on or make changes to this bug.